Summary:        Memory profiling tool
Name:           ps_mem
Version:        3.14
Release:        4%{?dist}
License:        LGPLv2
URL:            https://github.com/pixelb/ps_mem

Source0:        https://github.com/pixelb/ps_mem/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  python3-devel
BuildArch:      noarch

%description
The ps_mem tool reports how much core memory is used per program (not per process). In detail it
reports: sum(private RAM for program processes) + sum(Shared RAM for program processes) The shared
RAM is problematic to calculate, and the tool automatically selects the most accurate method
available for the running kernel.

%prep
%autosetup -n %{name}-%{version} -p1
sed -i "s|/usr/bin/env python|%{__python3}|" %{name}.py

%build

%install
install -Dpm755 %{name}.py   %{buildroot}%{_bindir}/%{name}
install -Dpm644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.14-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 3 2023 Shuo Wang <abushwang@tencent.com> - 3.14-1
- initial build
